package eu.dnetlib.domain.wfs;

import java.io.Serializable;
import java.util.HashSet;
import java.util.Set;

public class WfRepoHiDesc extends WfTemplate implements Serializable {

	private static final long serialVersionUID = -5192964707849869720L;

	private String id;
	private String name;
	private String description;
	private Set<String> expectedEoscDsTypes = new HashSet<>();
	private Set<String> expectedCompliances = new HashSet<>();

	public String getId() {
		return id;
	}

	public void setId(final String id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(final String name) {
		this.name = name;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(final String description) {
		this.description = description;
	}

	public Set<String> getExpectedEoscDsTypes() {
		return expectedEoscDsTypes;
	}

	public void setExpectedEoscDsTypes(final Set<String> expectedEoscDsTypes) {
		this.expectedEoscDsTypes = expectedEoscDsTypes;
	}

	public Set<String> getExpectedCompliances() {
		return expectedCompliances;
	}

	public void setExpectedCompliances(final Set<String> expectedCompliances) {
		this.expectedCompliances = expectedCompliances;
	}

}
